import { I18n } from "i18n-js";
import * as Localization from 'expo-localization';

const translation_store = {
  en: {
    connecting: "Connecting",
    connectSubtext: "Please connect your phone to the WiFi of your SwimTracker",
    simpleMode: "Simple Mode",
    advancedMode: "Advanced Mode",
    help: "Need help?",
    settings: "Settings",
    lastSessions: "Last Sessions",
    mainMenu_social: "Social",
    mainMenu_swimNow: "Swim now",
    delete_session_button: "Delete",
  },
  de : {
    connecting: "Verbindung aufbauen",
    connectSubtext: "Gehe entweder in das WLAN deines SwimTrackers oder in dein eigenes WLAN, falls du den SwimTracker schon eingerichtet hast.",
    simpleMode: "Weniger Einstellungen",
    advancedMode: "Mehr Einstellungen",
    settings: "Einstellungen",
    help: "Hilfe",
    lastSessions: "Letzte Sessions",
    mainMenu_social: "Freunde",
    mainMenu_swimNow: "Jetzt schwimmen",
    delete_session_button: "Löschen",
  }
}


export const i18n = new I18n();
i18n.store(translation_store);
i18n.defaultLocale = "en";
i18n.enableFallback = true;
i18n.locale = Localization.locale;